Sign in to follow this  
JJB

upgrading from M2E 5.x to latest 6.x fails on Magento 1

Recommended Posts

Hello,

A customer of mine is running old M2E 5.0.3 on Magento 1.6 and wants to upgrade to M2E 6.4.10 or .13. The upgrade attempt using this procedure https://docs.m2epro.com/display/InstallationUpgradeMagento1/Manual+from+archive failed with errors "table 'm2epro_config' doesn't exist" in m2epro_upgrade_errors.log as the upgrade procedure destroys this table and does not rebuild it. Restoring the table from archive reveals other tables in bad shape (missing columns, etc).

In testing deleting all M2E accounts and listings, upgrading to 6.4.10, and then setting up the accounts again works. Upgrading a working M2E configuration from 5.0.3 to 6.4.x fails though.

Has anyone bumped into an issue like that?

Is there a place to download older M2E 5.x versions so I try going up in smaller steps? I found  down to 6.3.6 here https://github.com/m2epro/magento1-extension/releases, but none of the 5.x versions.

Thanks

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.